Is Swift 5 supported in SonarSwift 4.1?

swift
(Balázs Hosszu) #1

Hi Sonar Team!

This page only mentions Swift 3 and 4 as supported by the SonarSwift plugin:
SonarSwift product page

While this page mentions “the upcoming Swift 5”
SonarSwift documentation

Based on this the actual compatibility is not clear to me. Is Swfit 5 already supported?

Thanks and cheers,
Balázs

(Benoit) #2

Hi,

Yes, Swift 5 is supported by SonarSwift 4.1.
We’ll update the sonarsource website to also mention support of Swift 5.

Thanks!

2 Likes
(Nicolas Bontoux) #5

Done! (force refresh if needed)

Thanks for the feedback @hosszubalazs. :+1:

1 Like